// Assuming you have initialized the MapmyIndia map and stored it in a variable called 'map'
import * as d3 from 'd3';
const apiKey = 'eb915ef7091b62c6382ec96557858e3f';
const mapContainer = document.getElementById('mapContainer');

// Initialize the map
const map = new MapmyIndia.Map(mapContainer, apiKey);
// Example code to add a circle marker on the map using D3.js
const circle = d3
  .select(mapContainer)
  .append('svg')
  .attr('width', '100%')
  .attr('height', '100%')
  .append('circle')
  .attr('cx', 28.6139) // Example latitude
  .attr('cy', 77.2090) // Example longitude
  .attr('r', 10)
  .style('fill', 'red');
